Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.auth
Interface FilterChainContext

All Superinterfaces:
  java.util.Map

    public interface FilterChainContext

extends java.util.Map

This interface represents the shared context for the `ExplicitLoginFilter`, `ImplicitLoginFilter`, `ExplicitLogoutFilter`, `ImplicitLogoutFilter`, and `SessionValidationFilter` filter chains. Besides allowing to share information between several filters in the same chain with the methods provided by the `Map` interface, this interface allows to set or retrieve the redirect URL that is used for a redirect after execution of the corresponding filter chain. If a filter implementation wants to trigger a redirect, it must not send the redirect directly on the response, but set or reset the URL using the context object and rely on the infrastructure to perform the redirect at the end of the filter chain.

Since:
  6.1

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Method Summary
`java.lang.String` | `getRedirectURL()` Used to retrieve the redirect URL that is currently set for the context of this chain.
`void` | `setRedirectURL(java.lang.String url)` Used to set a redirect target to indicate that a redirect should be performed to this URL after the last element of the filter chain has finished processing.

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Method Detail

### setRedirectURL

    void setRedirectURL(java.lang.String url)

  Used to set a redirect target to indicate that a redirect should be performed to this URL after the last element of the filter chain has finished processing. Can be both a relative or absolute URL.

  Parameters:
    `url` - A relative or absolute URL.

### getRedirectURL

    java.lang.String getRedirectURL()

  Used to retrieve the redirect URL that is currently set for the context of this chain.

  Returns:
    The redirect URL if it has been set within this filter chain, or null otherwise.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD